--AH:ScriptId=72e8bb15-df06-4cfa-bec0-7558f97f5f6d;2972
EXEC sp_rename 'PK__Connectors', 'PK__NuGetConnectors', 'OBJECT'
GO

ALTER TABLE [NuGetConnectors]
	DROP CONSTRAINT [CK__Connectors__Timeout_Period]

GO

CREATE TABLE [Connectors]
(
	[Connector_Id] INT IDENTITY(1, 1) NOT NULL,
	[Connector_Name] NVARCHAR(100) NULL,
	[Connector_Url] NVARCHAR(1000) NOT NULL,
	[FeedType_Name] VARCHAR(20) NOT NULL,
	[User_Name] NVARCHAR(200) NULL,
	[Password_Bytes] VARBINARY(200) NULL,
	[Timeout_Period] INT NOT NULL,
	[Filter_Csv] NVARCHAR(1000) NULL,
	[IndexUpdated_Date] DATETIME NULL,

	CONSTRAINT [PK__Connectors]
		PRIMARY KEY ([Connector_Id]),

	CONSTRAINT [CK__Connectors__FeedType]
		CHECK ([FeedType_Name] IN ('ProGet', 'Maven', 'Bower', 'npm', 'NuGet')),

	CONSTRAINT [CK__Connectors__Password]
		CHECK ([Password_Bytes] IS NULL OR [User_Name] IS NOT NULL),

	CONSTRAINT [CK__Connectors__Timeout_Period]
		CHECK ([Timeout_Period] > 0)
)

CREATE TABLE [FeedConnectors]
(
	[Feed_Id] INT NOT NULL,
	[Sequence_Number] INT NOT NULL,
	[Connector_Id] INT NOT NULL,

	CONSTRAINT [FK__FeedConnectors__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE,

	CONSTRAINT [FK__FeedConnectors_Connectors]
		FOREIGN KEY ([Connector_Id])
		REFERENCES [Connectors] ([Connector_Id])
		ON DELETE CASCADE,

	CONSTRAINT [PK__FeedConnectors]
		PRIMARY KEY ([Feed_Id], [Sequence_Number]),

	CONSTRAINT [UQ__FeedConnectors]
		UNIQUE ([Feed_Id], [Connector_Id])
)
