IF OBJECT_ID('[MavenArtifactFiles_Extended]') IS NOT NULL DROP VIEW [MavenArtifactFiles_Extended]
GO

CREATE VIEW [MavenArtifactFiles_Extended]
AS

	SELECT MA.[Feed_Id],
	       MA.[GroupId_Text],
		   MA.[ArtifactId_Text],
		   MAF.[Version_Text],
		   MAF.[File_Type],
		   [FileName_Text] = COALESCE(MAF.[FileName_Text], MA.[ArtifactId_Text] + '-' + MAF.[Version_Text]),
		   MAF.[File_SHA1_Bytes],
		   MAF.[File_MD5_Bytes],
		   MAF.[File_Size],
		   MAF.[Updated_Date],
		   MAF.[Cached_Indicator],
		   MAF.[Download_Count],
		   MAF.[LastDownloaded_Date]
	  FROM [MavenArtifacts] MA
	       INNER JOIN [MavenArtifactFiles] MAF
		           ON MAF.[MavenArtifact_Id] = MA.[MavenArtifact_Id]

GO