EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Connectors_DeleteConnector',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a connector.'
GO

IF OBJECT_ID('[Connectors_DeleteConnector]') IS NOT NULL DROP PROCEDURE [Connectors_DeleteConnector]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO


CREATE PROCEDURE [Connectors_DeleteConnector]
(
	@Connector_Id INT
)
AS
BEGIN

SET NOCOUNT ON

BEGIN TRY
	BEGIN TRANSACTION

		DECLARE @Connector_Url NVARCHAR(250)

		SELECT @Connector_Url = [Connector_Url]
		  FROM [Connectors]
		  WITH (UPDLOCK)
		  WHERE [Connector_Id] = @Connector_Id

		IF @@ROWCOUNT = 0 BEGIN ROLLBACK RETURN END

		DELETE [Connectors]
		 WHERE [Connector_Id] = @Connector_Id

		EXEC [Events_RaiseEvent] 'CONDLC', NULL, 'Connector_Url', @Connector_Url

	COMMIT
END TRY BEGIN CATCH
	IF XACT_STATE()<>0 ROLLBACK
	EXEC [HandleError]
END CATCH

END
GO

GRANT EXECUTE ON [Connectors_DeleteConnector] TO [ProGetUser_Role]
GO