EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NpmFeeds_GetAllPackageVersions',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'NpmPackages_AllVersions',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all versions of all of the packages in an npm feed.'
GO

IF OBJECT_ID('[NpmFeeds_GetAllPackageVersions]') IS NOT NULL DROP PROCEDURE [NpmFeeds_GetAllPackageVersions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NpmFeeds_GetAllPackageVersions]
(
	@Feed_Id INT
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [NpmPackages_AllVersions]
	 WHERE [Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [NpmFeeds_GetAllPackageVersions] TO [ProGetUser_Role]
GO